import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { JsonNullValueInputSchema } from '../enums/JsonNullValueInput.schema'

import { JsonValueSchema as jsonSchema } from '../../helpers/json-helpers';

const makeSchema = () => z.object({
  data: z.union([JsonNullValueInputSchema, jsonSchema])
}).strict();
export const ProcedureTimeslotCreateWithoutUserInputObjectSchema: z.ZodType<Prisma.ProcedureTimeslotCreateWithoutUserInput> = makeSchema() as unknown as z.ZodType<Prisma.ProcedureTimeslotCreateWithoutUserInput>;
export const ProcedureTimeslotCreateWithoutUserInputObjectZodSchema = makeSchema();
